/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 29-08-22 */
/* file     -> profil.css */
/* colors   -> #EE741D | rgba(238,116,29) | hsla(25,86%,53%) */
/* ------------------------------------------------------------------------------ */
/* link     -> https://codepen.io/littlesnippets/pen/VvvEGx */
/* info     -> overlaybox with auto-counter as background slide-overlay-effect */
/* ------------------------------------------------------------------------------ */
/* ROOT and VARIBLES */
:root {
	--hover-bgr:hsla(210,100%,56%,1);
    
    /* cards */
    --card-front-col: rgba(0,0,0,.6); /* black, gray OR client-color */
    --card-front-bgr: #fff;
    --card-back-col: #fff;
    --card-back-bgr: #EE741D;
    --card-ibox-hgt: 14rem;         /* min-height of the card - depends of the text card-back - def 14rem */
    --card-body-bdr: 1px solid rgba(0,0,0,.05);     /* border - def 1px */
    /* grid-area */
    --grid-area-gap: 1rem;          /* gap between flipboxes - def 1rem | min .3rem - check used shadow */
    --grid-area-pad: 1rem;          /* padding - check card-border-radius - def 1rem | min .3rem */
    --grid-area-bgr: none;          /* background - def none */
    --grid-area-bdr: 0px solid rgba(0,0,0,.25);     /* border - def 0px  */
    --grid-area-rad: 0rem;          /* border-radius - def 0rem */
    /* counter - card-front */ 
    --count-color: #fff;            /* color of the counter - must be the same as card-back-background AND no transparent */
    --count-size: 2.5rem;             /* counter size - def 4rem */
    --count-pos-top:-80%;        /* counte rposition top - def 1rem */
    --count-pos-right: 0;        /* counter position right - def 1.2rem */
    --count-pos-bottom: 0rem;     /* counter position bottom - NOT IN USE */ 
    --count-pos-left: 86%;       /* counter position left - NOT IN USE */
    --count-width: 2px;             /* counter stroke - def 1px | max 3px */
    /* animation */
    --time-flip: 0.8s;              /* def 0.8s */
	}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 29-08-22 */
/* CARDS */
/* RESET COUNTER -> SEE design.css */

@import url(https://fonts.googleapis.com/css?family=Raleway:400,500,800);
/* @import url(https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css); */

figure.snip0067 {
  font-family: 'Raleway', Arial, sans-serif;
  position: relative;
  overflow: hidden;
  margin: 10px;
  min-width: 220px;
  max-width: 310px;
  width: 100%;
  background: #ffffff;
  color: #000000;
}

figure.snip0067 * {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-transition: all 0.35s ease-in-out;
  transition: all 0.35s ease-in-out;
}

figure.snip0067 img {
  max-width: 100%;
  position: relative;
  display: block;
}

figure.snip0067:before {
  position: absolute;
  content: '';
  height: 100%;
  width: 90%;
  z-index: 1;
  left: -20%;
  background: rgba(255, 255, 255, 0.7);
  border: 1px solid #fff;
  -webkit-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
  -webkit-transform: skewX(-30deg) translateX(-80%);
  transform: skewX(-30deg) translateX(-80%);
  -webkit-box-shadow: 2px 0px 10px rgba(0, 0, 0, 0.5);
  box-shadow: 2px 0px 10px rgba(0, 0, 0, 0.5);
}

figure.snip0067 figcaption {
  padding-left: 30px;
  position: absolute;
  left: 0;
  top: 25%;
  width: 60%;
  z-index: 1;
  opacity: 0;
}

figure.snip0067 figcaption h2,
figure.snip0067 figcaption p {
  margin: 0;
  text-align: left;
  padding: 5px 0 0;
  width: 100%;
}

figure.snip0067 figcaption h2 {
  font-size: 1.4em;
  font-weight: 300;
  text-transform: uppercase;
}

figure.snip0067 figcaption h2 span {
  font-weight: 800;
}

figure.snip0067 figcaption p {
  font-weight: 500;
  font-size: 0.9em;
  opacity: 0.8;
}

figure.snip0067 figcaption .icons {
  width: 100%;
  padding: 8px 0;
}

figure.snip0067 figcaption .icons i {
  	display:inline-block;
	width:35px;
	height:35px;
  	margin-right:5px;
	padding-top:3px;
	line-height:35px;
  	border-radius:50%;
	font-size: 1.6rem;
	text-align:center;
  	background: #000000;
  	color: #ffffff;
  	opacity:0;
	}

figure.snip0067 figcaption a 		{opacity:.7;}
figure.snip0067 figcaption a:hover 	{opacity:1;}

figure.snip0067 .position {
  position: absolute;
  bottom: 0;
  width: 100%;
  text-align: right;
  padding: 15px 30px;
  font-size: 1.6rem;
  opacity: 1;
  font-weight: 500;
  color: #ffffff;
  background: #000000;
}

/* blue */
figure.snip0067.blue .icons i 	{background:#20638f;}
figure.snip0067.blue .position 	{background:#20638f;}

/* red */
figure.snip0067.red .icons i 	{background:#A72D56;}
figure.snip0067.red .position 	{background:#A72D56;}

figure.snip0067.yellow .icons i {background:#EE741D;}
figure.snip0067.yellow .position{background:#EE741D;}

figure.snip0067.green .icons i {
  background: #145b32;
}
figure.snip0067.green .position {
  background: #1e8449;
}

figure.snip0067:hover figcaption,
figure.snip0067.hover figcaption,
figure.snip0067:hover .icons i,
figure.snip0067.hover .icons i {
	opacity:1;
  	/*-webkit-transition-delay: 0.2s;*/
  	transition-delay:0.2s;
	}

figure.snip0067:hover:before,
figure.snip0067.hover:before {
  -webkit-transform: skewX(-30deg) translateX(0px);
  transform: skewX(-30deg) translateX(0px);
}


/* Demo purposes only
body {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-flow: wrap;
  margin: 0;
  height: 100%;
} */

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 21-08-22 */
/* css-counter postion background */
/* https://stackoverflow.com/questions/43514987/css-increasing-number-as-background-images-for-css */	
.card-counter::before { 
	position:absolute;
    display:flex;
	top:var(--count-pos-top,1.2rem);*/
  	right:var(--count-pos-right,-1.2rem);
  	bottom:var(--count-pos-bottom,0.6rem);
    left:var(--count-pos-left,1.2rem);
	justify-content:center;
    align-items:center;
    counter-increment:Element 1;
	content:counter(Element) '';
	font-size:var(--count-size,4rem); 
	font: 800 Arial;
	  -webkit-text-fill-color:transparent; /* works FF, Chrome and Edge */
	  -webkit-text-stroke:var(--count-width,1px);
	  -webkit-font-smoothing:antialiased;
	color:var(--count-color,#EE741D); /* must be the same color als card-back background */
    opacity:1;
	z-index:999;
	}
/* shadow */
/*
.shadow, .flex-item {
  box-shadow: 0 -1px 1px rgba(0, 0, 0, 0.04), 0 2px 2px rgba(0, 0, 0, 0.04), 0 4px 4px rgba(0, 0, 0, 0.04), 0 8px 8px rgba(0, 0, 0, 0.04), 0 16px 16px rgba(0, 0, 0, 0.04);
}
*/	
/* ------------------------------------------------------------------------------ */
/* END */	
/* ------------------------------------------------------------------------------ */